# Delete Runs

Launch stage: GA

`POST /api/2.0/mlflow/databricks/runs/delete-runs`

Bulk delete runs in an experiment that were created prior to or at the specified timestamp. Deletes at most
 max_runs per request. To call this API from a Databricks Notebook in Python, you can use the client code snippet on

API scopes: mlflow

**AWS**

Bulk delete runs in an experiment that were created prior to or at the specified timestamp. Deletes at most
max_runs per request. To call this API from a Databricks Notebook in Python, you can use the client code snippet on
https://docs.databricks.com/en/mlflow/runs.html#bulk-delete.

**Azure**

Bulk delete runs in an experiment that were created prior to or at the specified timestamp. Deletes at most
max_runs per request. To call this API from a Databricks Notebook in Python, you can use the client code snippet on
https://learn.microsoft.com/en-us/azure/databricks/mlflow/runs#bulk-restore.

**GCP**

Bulk delete runs in an experiment that were created prior to or at the specified timestamp. Deletes at most
max_runs per request. To call this API from a Databricks Notebook in Python, you can use the client code snippet on
https://docs.gcp.databricks.com/en/mlflow/runs.html#bulk-delete.

## Request body

- `experiment_id` (string, optional)
  The ID of the experiment containing the runs to delete.
- `max_timestamp_millis` (int64, optional)
  The maximum creation timestamp in milliseconds since the UNIX epoch for deleting runs. Only runs created prior to
   or at this timestamp are deleted.
- `max_runs` (int32, optional)
  An optional positive integer indicating the maximum number of runs to delete. The maximum allowed value for
   max_runs is 10000.

## Returns

- `runs_deleted` (int32, optional)
  The number of runs deleted.

## Response

```json
{
  "runs_deleted": 0
}
```

